# Generated by Django 3.1.1 on 2020-10-07 11:06

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Arbiter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fname', models.CharField(max_length=30, validators=[django.core.validators.MaxLengthValidator(30, message='حداکثر تا ۳۰ کاراکتر وارد کنید'), django.core.validators.MinLengthValidator(3, message='شما نمیتوانید کمتر از ۳ کاراتر وارد کنید')], verbose_name='نام')),
                ('lname', models.CharField(max_length=30, validators=[django.core.validators.MaxLengthValidator(30, message='حداکثر تا ۳۰ کاراکتر وارد کنید'), django.core.validators.MinLengthValidator(3, message='شما نمیتوانید کمتر از ۳ کاراتر وارد کنید')], verbose_name='نام خانوادگی')),
                ('phone', models.CharField(max_length=13, validators=[django.core.validators.MaxLengthValidator(13, message='شماره تلفن نباید بیشتر از ۱۳ رقم باشد'), django.core.validators.MinLengthValidator(11, message='شماره تلفن باید ۱۱ رقم باشد'), django.core.validators.RegexValidator('^(\\+98|0)?9\\d{9}$', message='شماره تماس را به صورت صحیح وارد نمایید. (۰۹۸۸۴۴۴۳۳۳۳)')], verbose_name='تلفن همراه')),
                ('email', models.EmailField(max_length=254, validators=[django.core.validators.EmailValidator(message='لطفا ایمیل را به درستی وارد نمایید.')], verbose_name='ایمیل')),
                ('ordertime', models.CharField(choices=[('E', 'دریافت پاسخ از طریق ایمیل'), ('S', 'دریافت پاسخ از طریق پیامک')], default='E', max_length=1, verbose_name='ارسال پاسخ از طریق')),
                ('message', models.TextField(max_length=500, validators=[django.core.validators.MaxLengthValidator(500, message='پیام نمیتواند بیش از ۵۰۰ کاراکتر باشد')], verbose_name='توضیحات')),
            ],
            options={
                'verbose_name': 'Arbiter',
                'verbose_name_plural': 'Arbitrator',
            },
        ),
    ]
